import { Functional } from '../../../../../../Class/Functional';
import { Done } from '../../../../../../Class/Functional/Done';
import { Fail } from '../../../../../../Class/Functional/Fail';
import { System } from '../../../../../../system';
import { MS } from '../../../../../../types/interface/MS';
export type I = {
    id: string;
    stream: MS;
};
export type O = {};
export default class AudioTarget extends Functional<I, O> {
    private _audio;
    constructor(system: System);
    f({ stream, id }: I, done: Done<O>, fail: Fail): Promise<void>;
    d(): void;
}
